Bug 1553794 - nothing provides libdns.so.169()(64bit) needed by bind-dyndb-ldap-11.1-9.fc28.ppc64le
Summary: nothing provides libdns.so.169()(64bit) needed by bind-dyndb-ldap-11.1-9.fc28...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bind-dyndb-ldap
Version: 28
Hardware: powerpc
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Vobornik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2018-03-09 14:54 UTC by Michel Normand
Modified: 2018-05-02 13:34 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-02 13:34:50 UTC


Attachments (Terms of Use)
rolekit (984 bytes, text/plain)
2018-03-09 15:00 UTC, Michel Normand
no flags Details
ipaserver-install.log (15.69 KB, text/plain)
2018-03-09 15:00 UTC, Michel Normand
no flags Details

Description Michel Normand 2018-03-09 14:54:59 UTC
Description of problem: 
server_role_deploy_domain_controller openQA test is failing for f28 compose 20180302 on ppc64le with following lines from /var/log/rolekit:
===
2018-03-08 10:29:41 ERROR: b'Package rolekit-0.5.2-2.fc28.noarch is already installed, skipping.'
2018-03-08 10:29:41 ERROR: b''
2018-03-08 10:29:41 ERROR: b' Problem 1: conflicting requests'
2018-03-08 10:29:41 ERROR: b'  - nothing provides libdns.so.169()(64bit) needed by bind-dyndb-ldap-11.1-9.fc28.ppc64le'
2018-03-08 10:29:41 ERROR: b' Problem 2: package freeipa-server-dns-4.6.3-1.fc28.noarch requires bind-dyndb-ldap >= 11.0-2, but none of the providers can be installed'
2018-03-08 10:29:41 ERROR: b'  - conflicting requests'                         
2018-03-08 10:29:41 ERROR: b'  - nothing provides libdns.so.169()(64bit) needed by bind-dyndb-ldap-11.1-9.fc28.ppc64le'
2018-03-08 10:31:41 ERROR: b"ipapython.admintool: ERROR    Integrated DNS requires 'freeipa-server-dns' package"
2018-03-08 10:31:41 ERROR: b'ipapython.admintool: ERROR    The ipa-server-install command failed. See /var/log/ipaserver-install.log for more information'
2018-03-08 10:31:41 ERROR: RolekitError: COMMAND_FAILED: 256
===

Is is a  packaging problem or a missing koji build ?

Comment 1 Michel Normand 2018-03-09 15:00 UTC
Created attachment 1406281 [details]
rolekit

Comment 2 Michel Normand 2018-03-09 15:00 UTC
Created attachment 1406282 [details]
ipaserver-install.log

Comment 3 Tomáš Hozza 🤓 2018-03-12 09:42:23 UTC
Petr probably forgot to rebuild bind-dyndb-ldap or push an update?

Comment 4 Petr Menšík 2018-03-12 12:16:27 UTC
This should be already fixed by bind-dyndb-ldap-11.1-10.fc28 [1]. Bodhi does not allow me to create update for it and according to my f28, this version is already on updates.  Indeed I forgot to rebuild also bind-dyndb-ldap with updated bind.

[1] https://koji.fedoraproject.org/koji/buildinfo?buildID=1052479

Comment 5 Petr Menšík 2018-03-12 12:23:13 UTC
But built that later, because there were also some changes required to adapt original code to changes in upstream. Enabling updates should fix this bug, or new compose is required. Sorry I forgot to make there together, we were fixing dhcp with chain build.


Note You need to log in before you can comment on or make changes to this bug.